Package com.usatiuk.kleppmanntree

# Interface NodeMeta

All Superinterfaces:
  `Serializable`

All Known Subinterfaces:
  `JKleppmannTreeNodeMeta`

All Known Implementing Classes:
  `JKleppmannTreeNodeMetaDirectory`, `JKleppmannTreeNodeMetaFile`, `JKleppmannTreeNodeMetaPeer`

public interface NodeMeta extends Serializable

## Method Summary

Modifier and Type
Method
Description
`String`
`name()`
`NodeMeta`
`withName(String name)`

## Method Details

### name

String name()

### withName

NodeMeta withName(String name)